<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelRuleBase Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelRuleBase Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelRuleBase" --><!-- doxytag: inherits="iBase" -->
<p>Interface for the Rule System.  
 <a href="structiCelRuleBase.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="rulebase_8h_source.html">tools/rulebase.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelRuleBase:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelRuleBase.png" usemap="#iCelRuleBase_map" alt=""/>
  <map id="iCelRuleBase_map" name="iCelRuleBase_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,87,24"/>
</map>
 </div></div>

<p><a href="structiCelRuleBase-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelRuleBase.html#a2a7197222fe2a57b3143eeb4732ef65d">AddPriority</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> priority)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a priority.  <a href="#a2a7197222fe2a57b3143eeb4732ef65d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelRuleBase.html#a55649c68ef39f574916720d2f8fcbcd3">ClearPriorityTable</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear priority table.  <a href="#a55649c68ef39f574916720d2f8fcbcd3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelRule.html">iCelRule</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelRuleBase.html#a5720b0fe3b5941787f54129b23758b5b">CreateRule</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new rule.  <a href="#a5720b0fe3b5941787f54129b23758b5b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelRuleBase.html#a73dcbd1292aa66a5e57108a2af5f6bda">DeleteRule</a> (<a class="el" href="structiCelRule.html">iCelRule</a> *rule)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Delete a rule.  <a href="#a73dcbd1292aa66a5e57108a2af5f6bda"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelRule.html">iCelRule</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelRuleBase.html#afc66ea6e4d704b9cce80ba5340df8a87">FindRule</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Find a rule by name.  <a href="#afc66ea6e4d704b9cce80ba5340df8a87"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsHash.html">celRuleHash</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelRuleBase.html#a23f67dd724a600f9454cf58f6c44c4d0">GetRules</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Iterate over the rules.  <a href="#a23f67dd724a600f9454cf58f6c44c4d0"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Interface for the Rule System. </p>

<p>Definition at line <a class="el" href="rulebase_8h_source.html#l00091">91</a> of file <a class="el" href="rulebase_8h_source.html">rulebase.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a2a7197222fe2a57b3143eeb4732ef65d"></a><!-- doxytag: member="iCelRuleBase::AddPriority" ref="a2a7197222fe2a57b3143eeb4732ef65d" args="(csStringID priority)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelRuleBase.html#a2a7197222fe2a57b3143eeb4732ef65d">iCelRuleBase::AddPriority</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&#160;</td>
          <td class="paramname"><em>priority</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a priority. </p>
<p>Call this function as many times as you want. Every new priority you use here will get a higher priority then the previous priorities. </p>

</div>
</div>
<a class="anchor" id="a55649c68ef39f574916720d2f8fcbcd3"></a><!-- doxytag: member="iCelRuleBase::ClearPriorityTable" ref="a55649c68ef39f574916720d2f8fcbcd3" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelRuleBase.html#a55649c68ef39f574916720d2f8fcbcd3">iCelRuleBase::ClearPriorityTable</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clear priority table. </p>

</div>
</div>
<a class="anchor" id="a5720b0fe3b5941787f54129b23758b5b"></a><!-- doxytag: member="iCelRuleBase::CreateRule" ref="a5720b0fe3b5941787f54129b23758b5b" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelRule.html">iCelRule</a>* <a class="el" href="structiCelRuleBase.html#a5720b0fe3b5941787f54129b23758b5b">iCelRuleBase::CreateRule</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new rule. </p>

</div>
</div>
<a class="anchor" id="a73dcbd1292aa66a5e57108a2af5f6bda"></a><!-- doxytag: member="iCelRuleBase::DeleteRule" ref="a73dcbd1292aa66a5e57108a2af5f6bda" args="(iCelRule *rule)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelRuleBase.html#a73dcbd1292aa66a5e57108a2af5f6bda">iCelRuleBase::DeleteRule</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelRule.html">iCelRule</a> *&#160;</td>
          <td class="paramname"><em>rule</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Delete a rule. </p>

</div>
</div>
<a class="anchor" id="afc66ea6e4d704b9cce80ba5340df8a87"></a><!-- doxytag: member="iCelRuleBase::FindRule" ref="afc66ea6e4d704b9cce80ba5340df8a87" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelRule.html">iCelRule</a>* <a class="el" href="structiCelRuleBase.html#afc66ea6e4d704b9cce80ba5340df8a87">iCelRuleBase::FindRule</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find a rule by name. </p>

</div>
</div>
<a class="anchor" id="a23f67dd724a600f9454cf58f6c44c4d0"></a><!-- doxytag: member="iCelRuleBase::GetRules" ref="a23f67dd724a600f9454cf58f6c44c4d0" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsHash.html">celRuleHash</a>&amp; <a class="el" href="structiCelRuleBase.html#a23f67dd724a600f9454cf58f6c44c4d0">iCelRuleBase::GetRules</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Iterate over the rules. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="rulebase_8h_source.html">rulebase.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
